from expo-facebook to react-native-fbsdk-next

Please provide the following:

  1. SDK Version: 46
  2. Platforms(Android/iOS/web/all): Android/iOS
  3. Add the appropriate “Tag” based on what Expo library you have a question on.

Hi.

I am in the process of upgrading to SDK 46 from SDK 42 and it seems like the expo-facebook package is no longer supported. I am still on the classic build for a few extra months so wanted to stay there with SDK 46 and have some time to migrate to EAS.
Is there a migration guide for the classic build managed apps from expo-facebook to the correct alternative? It seems that react-native-fbsdk-next requires to eject and might not work with the managed flow… Are there any other options available?

Thanks in advance